# pn_vrouter_ospf – CLI command to add/remove vrouter-ospf

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to add OSPF protocol to vRouter and remove OSPF protocol from a vRouter

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_netmask string |  | OSPF network IP address netmask.
pn_network string / required |  | OSPF network IP address.
pn_ospf_area string |  | stub area number for the configuration.
pn_vrouter_name string / required |  | name of service config.

state
string

Choices:
- present ←
- absent

vrouter-ospf configuration command.

## Examples

    - name: Add OSPF to vRouter
      pn_vrouter_ospf:
        state: 'present'
        pn_vrouter_name: 'sw01-vrouter'
        pn_network: '105.104.104.1'
        pn_netmask: '24'
        pn_ospf_area: '0'
    - name: "Remove OSPF to vRouter"
      pn_vrouter_ospf:
        state: 'absent'
        pn_vrouter_name: 'sw01-vrouter'
        pn_network: '105.104.104.1'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vrouter-ospf command.
stdout list | always | set of responses from the vrouter-ospf command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.